'
' +--------------------------------------------------------------------+
' | Visual Basic Script                                                |
' +--------------------------------------------------------------------+
' | Copyright (c) 2006 by Digittrade GmbH                              |
' +--------------------------------------------------------------------+
' | This material may be distributed only subject to the terms and     |
' | conditions set forth in the Open Publication License, v1.0 or later|
' | (the latest version is presently available at                      |
' | http://www.opencontent.org/openpub/)                               |
' +--------------------------------------------------------------------+
' | The reference must be immediately followed with any options elected|
' | by the author(s) and/or publisher of the document (see section VI).|
' | Commercial redistribution of Open Publication-licensed material is |
' | permitted. Any publication in standard (paper) book form shall re- |
' | quire the citation of the original publisher and author. The pub-  |
' | lisher and author's names shall appear on all outer surfaces of the|
' | book. On all outer surfaces of the book the original publisher's   |
' | name shall be as large as the title of the work and cited as       |
' | possessive with respect to the title.                              |
' +--------------------------------------------------------------------+
' | Author:  Andreas Probst Andreas.Probst@digittrade.de               |
' +--------------------------------------------------------------------+
' | Description [DE]                                                   |
' | Dies ist ein Hardwareinventur Skript, dass eine TXT Datei auf der  |
' | Festplatte speichert. In dieser TXT Datei werden alle notwendigen  |
' | Informationen zur bestimmung des Grafikkarten Steckplatzes         |
' | ausgegaben.                                                        |
' +--------------------------------------------------------------------+
'
'=========================================================================
'=========================================================================
'

operator="Moloch"
standort="Halle"

'
' Main1
'=========================================================================
'

on error resume next
set wmi = GetObject("winmgmts:")
if err.number<>0 then
  MsgBox "WMI nicht installiert. Bitte nachinstallieren."
  WScript.Quit
end if
on error resume next

wql = "select * from win32_processor"
set ergebnis = wmi.ExecQuery(wql)
for each wert in ergebnis
 datei = wert.SystemName
next

'Main2
'==========================================================================
'

set obj = CreateObject("Scripting.FileSystemObject")
Set ITextStream = obj.CreateTextFile("c:\"&datei&"_"&date& ".txt", TRUE, FALSE)
ITextStream.WriteLine(datei)
ITextStream.WriteLine("")
ITextStream.WriteLine("Inventar erstellt am "&Date)
ITextStream.WriteLine(" ")

'Eigenschaften
'==========================================================================
'
' Computer
'==========================================================================
'

wql = "select * from win32_ComputerSystemProduct"
set ergebnis = wmi.ExecQuery(wql)

ITextStream.Write("Bezeichnung 1:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Caption&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Identifikationsnummer:	")
for each eintrag in ergebnis
ITextStream.Write(eintrag.IdentifyingNumber&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Name:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Name&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Hersteller:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Vendor&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Version:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Version&"	")
next
ITextStream.WriteLine("")

' Prozessoren
'==========================================================================
'

ITextStream.WriteLine("")
ITextStream.WriteLine("Prozessor")
wql = "select * from win32_Processor"
set ergebnis = wmi.ExecQuery(wql)

ITextStream.Write("Hersteller:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Manufacturer&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Bezeichnung:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Name&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Sockel:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.SocketDesignation&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Typ:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Caption&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Takt:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.CurrentClockSpeed&" MHz	")
next
ITextStream.WriteLine("")
ITextStream.Write("Externer Takt:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.ExtClock&" MHz	")
next
ITextStream.WriteLine("")
ITextStream.Write("L2Cache Gre:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.L2CacheSize&" KB	")
next
ITextStream.WriteLine("")

' BIOS und Systemplatine
'==========================================================================
'

ITextStream.WriteLine("")
ITextStream.WriteLine("BIOS und Systemplatine")
' BIOS
wql = "select * from win32_BIOS"
set ergebnis = wmi.ExecQuery(wql)

ITextStream.Write("BIOS-Version:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Name&"	")
next
ITextStream.WriteLine("")

' Mainboard
'==========================================================================
'

wql = "select * from win32_BaseBoard"
set ergebnis = wmi.ExecQuery(wql)

ITextStream.Write("Hersteller:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Manufacturer&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Bezeichnung:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Name&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Produkt:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Product&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Version:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Version&"	")
next
ITextStream.WriteLine("")
ITextStream.WriteLine("")

' Onboard-Komponenten
'==========================================================================
'

wql = "select * from win32_OnBoardDevice"
set ergebnis = wmi.ExecQuery(wql)


ITextStream.Write("On-Board Chips:  	")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Description&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Version:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Version&"	")
next
ITextStream.WriteLine("")

' Grafikkarte
'==========================================================================
'

ITextStream.WriteLine("")
'ITextStream.WriteLine("Grafikadapter")

wql = "select * from win32_videocontroller"
set ergebnis = wmi.ExecQuery(wql)




ITextStream.Write("Grafikkarte:		")
for each eintrag in ergebnis
ITextStream.Write(eintrag.Name&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("DAC:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.AdapterDACType&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Grafikspeicher:		")
for each eintrag in ergebnis
groesse=Round((((eintrag.AdapterRAM) / 1024) / 1024),1)
ITextStream.Write(groesse&" MB			")
next
ITextStream.WriteLine("")
ITextStream.Write("aktueller Videomode:	")
for each eintrag in ergebnis
ITextStream.Write(eintrag.VideoModeDescription&"	")
next
ITextStream.WriteLine("")
ITextStream.Write("Chip:			")
for each eintrag in ergebnis
ITextStream.Write(eintrag.VideoProcessor&"	")
next
ITextStream.WriteLine("")


ITextStream.close



' Schlieen
'==========================================================================
'

ITextStream.close

MsgBox "PC "&datei&" erfolgreich inventarisiert."

Set ShellWSH = CreateObject("WScript.Shell")
ShellWSH.Run "c:\"&datei&"_"&date& ".txt", 1, True
